// scss func

@use 'sass:math';
@use 'sass:map';

@mixin prefix($property, $value, $prefixes...) {
  @each $prefix in $prefixes {
    -#{$prefix}-#{$property}: $value;
  }
  #{$property}: $value;
}

@mixin prefix-all($property, $value) {
  @include prefix($property, $value, 'webkit', 'moz', 'ms');
}

@mixin prefix-only($property, $value) {
  @include prefix($property, $value, 'webkit');
}

@mixin prefix-add-moz($property, $value) {
  @include prefix($property, $value, 'webkit', 'moz');
}

@mixin affix($property, $value, $affixes...) {
  @each $affix in $affixes {
    #{$property}-#{$affix}: $value;
  }
}

@function multiWithCeiling($value1, $value2) {
  @return math.ceil($value1 * $value2);
}

@function math-div($value1, $value2) {
  @return math.div($value1, $value2);
}

@function multiMapMerge($map1, $mapn...) {
  $mapt: $map1;
  @each $map in $mapn {
    $mapt: map.merge($mapt, $map);
  }
  @return $mapt;
}

$breakpoints: (
  'sm': 640px,
  'md': 768px,
  'lg': 1024px,
  'xl': 1280px,
  'xxl': 1536px,
  //'3xl': 1920px,
  //'4xl': 2560px,
) !default;
